Bug 1202298 - Switch systemd unit file to use non-forking type
Summary: Switch systemd unit file to use non-forking type
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sniproxy
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikos Mavrogiannopoulos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-16 10:35 UTC by Robin Bowes
Modified: 2015-11-17 18:25 UTC (History)
2 users (show)

Fixed In Version: sniproxy-0.3.6-2.el7 sniproxy-0.3.6-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-26 16:10:13 UTC


Attachments (Terms of Use)
Patch to switch systemd unit file to a Simple service type (366 bytes, patch)
2015-03-16 10:35 UTC, Robin Bowes
no flags Details | Diff

Description Robin Bowes 2015-03-16 10:35:08 UTC
Created attachment 1002202 [details]
Patch to switch systemd unit file to a Simple service type

Was there some specific reason the systemd service type is "Forking"? sniproxy supports a 'foreground' mode which is generally preferable.

The attached patch switches the unit file to launch sniproxy in foreground mode as a simple service.

Comment 1 Nikos Mavrogiannopoulos 2015-03-23 07:53:11 UTC
No particular reason, apply it in master and I'll propagate it to f22.

Comment 2 Fedora Update System 2015-06-11 15:09:50 UTC
sniproxy-0.3.6-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/sniproxy-0.3.6-2.fc22

Comment 3 Fedora Update System 2015-06-11 15:21:37 UTC
sniproxy-0.3.6-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/sniproxy-0.3.6-2.el7

Comment 4 Fedora Update System 2015-06-11 18:45:23 UTC
Package sniproxy-0.3.6-2.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing sniproxy-0.3.6-2.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6652/sniproxy-0.3.6-2.el7
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-06-26 16:10:13 UTC
sniproxy-0.3.6-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-11-17 18:25:03 UTC
sniproxy-0.3.6-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.